---
updatedAt: 2026-08-11T11:40:18.000Z
agentTools:
  projectIndex: https://developer.personio.de/llms.txt
---

# List all applications.

Returns a list of applications for an authorized company, sorted by last updated date, newest first.
The endpoint supports pagination.
The endpoint requires the `personio:recruiting:read` scope.

> 📘 Note
>
> Currently, the Candidates and Applications API does not return custom attributes and tags.
> Please consider this limitation when using the API.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Recruiting",
    "description": "Collection of endpoints to manage recruiting applications.",
    "version": "2.0.0"
  },
  "servers": [
    {
      "url": "https://api.personio.de"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/v2/recruiting/applications": {
      "get": {
        "summary": "List all applications.",
        "description": "Returns a list of applications for an authorized company, sorted by last updated date, newest first.\nThe endpoint supports pagination.\nThe endpoint requires the `personio:recruiting:read` scope.\n\n> 📘 Note\n>\n> Currently, the Candidates and Applications API does not return custom attributes and tags.\n> Please consider this limitation when using the API.",
        "tags": [
          "Applications"
        ],
        "parameters": [
          {
            "$ref": "#/paths/~1v2~1recruiting~1jobs/get/parameters/0"
          },
          {
            "$ref": "#/paths/~1v2~1recruiting~1jobs/get/parameters/1"
          },
          {
            "description": "Return applications updated before given time.\nMutually exclusive with `updated_at.gt`.",
            "name": "updated_at.lt",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "description": "Return applications updated after given time.\nMutually exclusive with `updated_at.lt`.",
            "name": "updated_at.gt",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "description": "Return applications for candidate with given email.",
            "name": "candidate.email",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string",
              "example": "john.doe@example.com"
            }
          }
        ],
        "x-path-examples": {
          "200 List all applications": {
            "value": "/v2/recruiting/applications"
          },
          "200 List all applications with non-default limit": {
            "value": "/v2/recruiting/applications",
            "query": "limit=150"
          },
          "200 List all applications after given date": {
            "value": "/v2/recruiting/applications",
            "query": "updated_at.gt=2025-02-20T13:19:40"
          },
          "200 List all applications before given date": {
            "value": "/v2/recruiting/applications",
            "query": "updated_at.lt=2025-02-20T13:19:40"
          },
          "200 List all applications by candidate email": {
            "value": "/v2/recruiting/applications",
            "query": "candidate.email=test@personio.de"
          },
          "200 List applications by cursor": {
            "value": "/v2/recruiting/applications",
            "query": "cursor=cur_15sdwf2eIvLilN2dKFh211Js"
          },
          "400 List applications using wrong pagination value": {
            "value": "/v2/recruiting/applications",
            "query": "limit=400"
          },
          "403 Forbidden response": {
            "value": "/v2/recruiting/applications"
          }
        },
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Application"
                      }
                    },
                    "_meta": {
                      "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/200/content/application~1json/schema/properties/_meta"
                    }
                  }
                },
                "examples": {
                  "200 List all applications": {
                    "$ref": "#/components/examples/ApplicationListResponse"
                  },
                  "200 List all applications with non-default limit": {
                    "$ref": "#/components/examples/ApplicationListResponse"
                  },
                  "200 List all applications after given date": {
                    "$ref": "#/components/examples/ApplicationListResponse"
                  },
                  "200 List all applications before given date": {
                    "$ref": "#/components/examples/ApplicationListResponse"
                  },
                  "200 List all applications by candidate email": {
                    "$ref": "#/components/examples/ApplicationListResponse"
                  },
                  "200 List applications by cursor": {
                    "$ref": "#/components/examples/ApplicationListByCursorResponse"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/400/content/application~1problem+json/schema"
                },
                "examples": {
                  "400 List applications using wrong pagination value": {
                    "$ref": "#/components/examples/InvalidFilterValue"
                  }
                }
              }
            }
          },
          "403": {
            "$ref": "#/components/responses/ForbiddenResponse"
          }
        }
      }
    },
    "/v2/recruiting/jobs": {
      "get": {
        "summary": "List all jobs.",
        "description": "Returns a list of jobs for an authorized company, sorted by last updated date, newest first.\nThe endpoint supports pagination.\nThe endpoint requires the `personio:recruiting:read` scope.",
        "tags": [
          "Jobs"
        ],
        "parameters": [
          {
            "in": "query",
            "name": "limit",
            "required": false,
            "schema": {
              "example": 100,
              "type": "integer",
              "minimum": 1,
              "maximum": 200,
              "default": 100
            },
            "description": "The amount of resources to be returned per one request. It can range between 1 and 200,  and the default is 100."
          },
          {
            "in": "query",
            "name": "cursor",
            "example": "cur_82sQwR2eZvKilo2duNh219Kw",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "The pagination cursor to navigate over to the next list of resources. If you pass a specific limit to your  request, or you rely on the default value of the number of resources to be returned, then your subsequent call has to include the cursor in order to retrieve the next list of resources. If cursor is missing,  the first page is returned."
          },
          {
            "description": "Return jobs updated before given time.\nMutually exclusive with `updated_at.gt`.",
            "name": "updated_at.lt",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "description": "Return jobs updated after given time.\nMutually exclusive with `updated_at.lt`.",
            "name": "updated_at.gt",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          }
        ],
        "x-path-examples": {
          "200 List all jobs": {
            "value": "/v2/recruiting/jobs"
          },
          "200 List all jobs with non-default limit": {
            "value": "/v2/recruiting/jobs",
            "query": "limit=150"
          },
          "200 List all jobs after given date": {
            "value": "/v2/recruiting/jobs",
            "query": "updated_at.gt=2025-02-20T13:19:40"
          },
          "200 List all jobs before given date": {
            "value": "/v2/recruiting/jobs",
            "query": "updated_at.lt=2025-02-20T13:19:40"
          },
          "200 List jobs by cursor": {
            "value": "/v2/recruiting/jobs",
            "query": "cursor=cur_15sdwf2eIvLilN2dKFh211Js"
          },
          "400 List jobs using wrong pagination value": {
            "value": "/v2/recruiting/jobs",
            "query": "limit=400"
          },
          "400 List jobs using invalid cursor": {
            "value": "/v2/recruiting/jobs",
            "query": "cursor=invalid-cursor"
          },
          "403 Forbidden response": {
            "value": "/v2/recruiting/jobs"
          }
        },
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Job"
                      }
                    },
                    "_meta": {
                      "description": "This object represents the metadata information for an object. It's a set of arbitrary key/value attributes such as `links`.",
                      "type": "object",
                      "readOnly": true,
                      "properties": {
                        "links": {
                          "type": "object",
                          "additionalProperties": {
                            "description": "This objects represents a hyperlink.",
                            "type": "object",
                            "readOnly": true,
                            "properties": {
                              "href": {
                                "type": "string",
                                "format": "uri"
                              }
                            },
                            "additionalProperties": true
                          },
                          "example": {
                            "links": {
                              "self": {
                                "href": "https://api.personio.de/v2/person?cursor=<current-cursor>"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "200 List all jobs": {
                    "$ref": "#/components/examples/JobListResponse"
                  },
                  "200 List all jobs with non-default limit": {
                    "$ref": "#/components/examples/JobListResponse"
                  },
                  "200 List all jobs after given date": {
                    "$ref": "#/components/examples/JobListResponse"
                  },
                  "200 List all jobs before given date": {
                    "$ref": "#/components/examples/JobListResponse"
                  },
                  "200 List jobs by cursor": {
                    "$ref": "#/components/examples/JobListByCursorResponse"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "description": "This object represents an error response.",
                  "properties": {
                    "personio_trace_id": {
                      "type": "string",
                      "example": "aswo3f-a202lfso-312123sld-1230ddd",
                      "description": "A unique ID that was created for this error."
                    },
                    "timestamp": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2021-05-28T11:17:30.000Z",
                      "description": "The timestamp of when the error occurred."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "title": {
                            "type": "string",
                            "example": "Not found",
                            "description": "The title of the error."
                          },
                          "detail": {
                            "type": "string",
                            "example": "The requested resource was not found.",
                            "description": "A short description about the error."
                          },
                          "type": {
                            "type": "string",
                            "format": "uri",
                            "example": "https://developer.personio.de/reference/errors#common.requested_resource_not_found",
                            "description": "A link to the developer hub where more information can be found for the encountered error."
                          },
                          "_meta": {
                            "type": "object",
                            "additionalProperties": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "400 List jobs using wrong pagination value": {
                    "$ref": "#/components/examples/InvalidFilterValue"
                  },
                  "400 List jobs using invalid cursor": {
                    "$ref": "#/components/examples/InvalidFilterValue"
                  }
                }
              }
            }
          },
          "403": {
            "$ref": "#/components/responses/ForbiddenResponse"
          }
        }
      }
    }
  },
  "components": {
    "responses": {
      "ForbiddenResponse": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/400/content/application~1problem+json/schema"
            },
            "examples": {
              "403 Forbidden response": {
                "$ref": "#/components/examples/ForbiddenResponse"
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "Application": {
        "description": "Recruiting application.",
        "type": "object",
        "required": [
          "id",
          "company",
          "application_date",
          "current_stage",
          "created_at",
          "updated_at"
        ],
        "properties": {
          "id": {
            "description": "The unique identifier of an application.",
            "type": "string",
            "readOnly": true,
            "example": "9823749"
          },
          "company": {
            "$ref": "#/components/schemas/CompanyRef"
          },
          "candidate": {
            "$ref": "#/components/schemas/CandidateRef"
          },
          "job": {
            "$ref": "#/components/schemas/JobRef"
          },
          "current_stage": {
            "$ref": "#/components/schemas/Stage"
          },
          "application_date": {
            "description": "Date when the application was submitted.",
            "readOnly": true,
            "type": "string",
            "format": "date"
          },
          "channel": {
            "$ref": "#/components/schemas/Channel"
          },
          "is_anonymized": {
            "description": "Flag indicating if the application is anonymized.",
            "type": "boolean",
            "example": false
          },
          "hiring_team": {
            "description": "List of hiring team members assigned to the application.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/HiringTeamMember"
            }
          },
          "created_at": {
            "description": "Creation date of an application record in Personio (may differ from `application_date`).",
            "readOnly": true,
            "type": "object",
            "required": [
              "date-time",
              "timezone"
            ],
            "properties": {
              "date-time": {
                "type": "string",
                "description": "Timestamp with UTC offset.",
                "format": "date-time"
              },
              "timezone": {
                "type": "string",
                "description": "Provide a time zone ID that conforms to the [Time Zone Database](https://www.iana.org/time-zones).",
                "example": "Europe/Berlin"
              }
            }
          },
          "updated_at": {
            "description": "Last modification date of an application.",
            "readOnly": true,
            "type": "object",
            "required": [
              "date-time",
              "timezone"
            ],
            "properties": {
              "date-time": {
                "type": "string",
                "description": "Timestamp with UTC offset.",
                "format": "date-time"
              },
              "timezone": {
                "type": "string",
                "description": "Provide a time zone ID that conforms to the [Time Zone Database](https://www.iana.org/time-zones).",
                "example": "Europe/Berlin"
              }
            }
          },
          "_meta": {
            "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/200/content/application~1json/schema/properties/_meta"
          }
        }
      },
      "Channel": {
        "description": "Application source Recruiting channel.",
        "type": "object",
        "required": [
          "id",
          "name"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier of a recruiting channel.",
            "example": "234098"
          },
          "name": {
            "type": "string",
            "description": "The given name a recruiting channel.",
            "example": "LinkedIn"
          }
        }
      },
      "Stage": {
        "description": "Recruiting pipeline stage for application.",
        "type": "object",
        "required": [
          "kind",
          "type"
        ],
        "properties": {
          "kind": {
            "type": "string",
            "description": "Recruiting stage type.",
            "enum": [
              "custom",
              "system"
            ],
            "example": "system"
          },
          "type": {
            "type": "string",
            "description": "The type of a recruiting stage.",
            "enum": [
              "new",
              "screening",
              "interviews",
              "offer",
              "hired",
              "talent pool",
              "other",
              "unassigned",
              "rejected",
              "withdrawn"
            ],
            "example": "screening"
          },
          "name": {
            "description": "The name of a custom recruiting stage. Relevant only for custom stages.",
            "type": "string"
          },
          "id": {
            "type": "string",
            "description": "The unique identifier of a custom recruiting stage. Relevant only for custom stages.",
            "example": "234098"
          }
        }
      },
      "CandidateRef": {
        "description": "Recruiting candidate object (aka 'applicant').",
        "type": "object",
        "required": [
          "id",
          "first_name",
          "last_name",
          "gender",
          "email"
        ],
        "properties": {
          "id": {
            "description": "The unique identifier of a candidate.",
            "type": "string",
            "readOnly": true,
            "example": "9823749"
          },
          "first_name": {
            "description": "The Candidate's first name.",
            "type": "string",
            "example": "John"
          },
          "last_name": {
            "description": "The Candidate's last name.",
            "type": "string",
            "example": "Doe"
          },
          "gender": {
            "description": "The Candidate's gender.",
            "type": "string",
            "enum": [
              "MALE",
              "FEMALE",
              "DIVERSE",
              "UNDEFINED"
            ]
          },
          "email": {
            "description": "The Candidate's email.",
            "type": "string",
            "format": "email"
          },
          "_meta": {
            "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/200/content/application~1json/schema/properties/_meta"
          }
        }
      },
      "JobRef": {
        "description": "Recruiting job object.",
        "type": "object",
        "required": [
          "id",
          "name"
        ],
        "properties": {
          "id": {
            "description": "The unique identifier of a Job.",
            "type": "string",
            "readOnly": true,
            "example": "9823749"
          },
          "department": {
            "$ref": "#/components/schemas/DepartmentRef"
          },
          "name": {
            "description": "Job title.",
            "readOnly": true,
            "type": "string",
            "example": "Software Developer"
          },
          "category": {
            "description": "Job category.",
            "type": "string",
            "readOnly": true,
            "example": "Technology Position"
          },
          "_meta": {
            "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/200/content/application~1json/schema/properties/_meta"
          }
        }
      },
      "CompanyRef": {
        "description": "The company object.",
        "type": "object",
        "required": [
          "id"
        ],
        "properties": {
          "id": {
            "description": "The unique identifier of a company.",
            "readOnly": true,
            "type": "string",
            "example": "324"
          },
          "_meta": {
            "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/200/content/application~1json/schema/properties/_meta"
          }
        }
      },
      "DepartmentRef": {
        "description": "The company department object.",
        "type": "object",
        "required": [
          "id"
        ],
        "properties": {
          "id": {
            "description": "The unique identifier of a department.",
            "readOnly": true,
            "type": "string",
            "example": "324"
          },
          "name": {
            "description": "The name of a department.",
            "readOnly": true,
            "type": "string",
            "example": "HR"
          },
          "_meta": {
            "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/200/content/application~1json/schema/properties/_meta"
          }
        }
      },
      "HiringTeamMember": {
        "description": "Hiring team member object.",
        "type": "object",
        "required": [
          "person",
          "role"
        ],
        "properties": {
          "person": {
            "$ref": "#/components/schemas/PersonRef"
          },
          "role": {
            "$ref": "#/components/schemas/RecruitingRoleRef"
          }
        }
      },
      "PersonRef": {
        "description": "The person object.",
        "type": "object",
        "required": [
          "id"
        ],
        "properties": {
          "id": {
            "description": "The unique identifier of a person.",
            "readOnly": true,
            "type": "string",
            "example": "324"
          },
          "_meta": {
            "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/200/content/application~1json/schema/properties/_meta"
          }
        }
      },
      "RecruitingRoleRef": {
        "description": "The recruiting role object.",
        "type": "object",
        "required": [
          "name"
        ],
        "properties": {
          "name": {
            "description": "The name of a role.",
            "readOnly": true,
            "type": "string",
            "example": "HR manager"
          }
        }
      }
    },
    "examples": {
      "ForbiddenResponse": {
        "value": {
          "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd",
          "timestamp": "2021-05-28T11:17:30+00:00",
          "errors": [
            {
              "title": "Insufficient scopes",
              "detail": "Required scope is missing from token",
              "type": "https://developer.personio.de/v2.0/page/public-api-error-codes#credentialsoauth2invalid_scope"
            }
          ]
        }
      },
      "InvalidFilterValue": {
        "value": {
          "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd",
          "timestamp": "2021-05-28T11:17:30+00:00",
          "errors": [
            {
              "title": "Bad request",
              "detail": "Provided request parameters are invalid.",
              "type": "https://developer.personio.de/v2.0/page/public-api-error-codes#common.bad_request"
            }
          ]
        }
      },
      "ApplicationListResponse": {
        "value": {
          "_data": [
            {
              "id": "495039",
              "company": {
                "id": "10567"
              },
              "candidate": {
                "id": "3498579",
                "first_name": "John",
                "last_name": "Doe",
                "email": "john.doe@example.com"
              },
              "job": {
                "id": "209321",
                "name": "Software Developer",
                "category": "Technology",
                "department": {
                  "id": "321",
                  "name": "IT"
                }
              },
              "application_date": "2023-12-11",
              "hiring_team": [
                {
                  "person": {
                    "id": "56789",
                    "_meta": {
                      "links": {
                        "self": {
                          "href": "https://api.personio.de/v2/persons/56789"
                        }
                      }
                    }
                  },
                  "role": {
                    "name": "HR manager"
                  }
                },
                {
                  "person": {
                    "id": "67890",
                    "_meta": {
                      "links": {
                        "self": {
                          "href": "https://api.personio.de/v2/persons/67890"
                        }
                      }
                    }
                  },
                  "role": {
                    "name": "Tech lead"
                  }
                }
              ],
              "created_at": {
                "date-time": "2023-12-11T14:50:17Z",
                "timezone": "UTC"
              },
              "updated_at": {
                "date-time": "2023-12-11T14:50:17Z",
                "timezone": "UTC"
              },
              "_meta": {
                "links": {
                  "self": {
                    "href": "https://api.personio.de/v2/recruiting/applications/495039"
                  }
                }
              }
            },
            {
              "id": "3459829",
              "company": {
                "id": "10567"
              },
              "candidate": {
                "id": "2309850",
                "first_name": "Jane",
                "last_name": "Doe",
                "email": "jane.doe@example.com",
                "gender": "FEMALE"
              },
              "job": {
                "id": "209321",
                "name": "Software Developer",
                "category": "Technology",
                "department": {
                  "id": "321",
                  "name": "IT"
                }
              },
              "application_date": "2023-12-11",
              "is_anonymized": false,
              "created_at": {
                "date-time": "2023-12-11T14:50:17Z",
                "timezone": "UTC"
              },
              "updated_at": {
                "date-time": "2023-12-11T14:50:17Z",
                "timezone": "UTC"
              },
              "_meta": {
                "links": {
                  "self": {
                    "href": "https://api.personio.de/v2/recruiting/applications/3459829"
                  }
                }
              }
            }
          ],
          "_meta": {
            "links": {
              "self": {
                "href": "https://api.personio.de/v2/recruiting/applications"
              },
              "next": {
                "href": "https://api.personio.de/v2/recruiting/applications?cursor=cur_234ls0f02lalfdd"
              }
            }
          }
        }
      },
      "ApplicationListByCursorResponse": {
        "value": {
          "_data": [
            {
              "id": "495039",
              "company": {
                "id": "10567"
              },
              "candidate": {
                "id": "3498579",
                "first_name": "John",
                "last_name": "Doe",
                "email": "john.doe@example.com"
              },
              "job": {
                "id": "209321",
                "name": "Software Developer",
                "category": "Technology",
                "department": {
                  "id": "321",
                  "name": "IT"
                }
              },
              "application_date": "2023-12-11",
              "created_at": {
                "date-time": "2023-12-11T14:50:17Z",
                "timezone": "UTC"
              },
              "updated_at": {
                "date-time": "2023-12-11T14:50:17Z",
                "timezone": "UTC"
              },
              "_meta": {
                "links": {
                  "self": {
                    "href": "https://api.personio.de/v2/recruiting/applications/495039"
                  }
                }
              }
            },
            {
              "id": "3459829",
              "company": {
                "id": "10567"
              },
              "candidate": {
                "id": "2309850",
                "first_name": "Jane",
                "last_name": "Doe",
                "email": "jane.doe@example.com",
                "gender": "FEMALE"
              },
              "job": {
                "id": "209321",
                "name": "Software Developer",
                "category": "Technology",
                "department": {
                  "id": "321",
                  "name": "IT"
                }
              },
              "application_date": "2023-12-11",
              "is_anonymized": false,
              "created_at": {
                "date-time": "2023-12-11T14:50:17Z",
                "timezone": "UTC"
              },
              "updated_at": {
                "date-time": "2023-12-11T14:50:17Z",
                "timezone": "UTC"
              },
              "_meta": {
                "links": {
                  "self": {
                    "href": "https://api.personio.de/v2/recruiting/applications/3459829"
                  }
                }
              }
            }
          ],
          "_meta": {
            "links": {
              "self": {
                "href": "https://api.personio.de/v2/recruiting/applications?cursor=cur_15sdwf2eIvLilN2dKFh211Js"
              },
              "next": {
                "href": "https://api.personio.de/v2/recruiting/applications?cursor=cur_234ls0f02lalfddQrefvA2fe"
              }
            }
          }
        }
      }
    }
  }
}
```